# lxc_create

Create and configure LXContainers defined in inventory


## Requirements

- Ansible:
  - Collection `community.general` for LXC modules
- Python:
  - Bindings for LXC
- External plugins:
  - `lxc_ssh` connection plugin from https://github.com/andreasscherbaum/ansible-lxc-ssh/


## Role Variables

- Required
  - `ssh_keys`: List of SSH keys for root
- Optional
  - `list_of_lxc_hosts`: unset default is `groups.lxc_host` (inventory group "lxc_hosts")
  - `root_password`: unset, default is `root`
  - `service_username`: unset, if defined user will be created
  - `service_password`: unset, default is same as `service_username`
  - `service_ssh_keys`: unset, default is same as `ssh_keys` (for root)


## Dependencies

- Host must be prepared for LXContainers

## Example Playbook

    - hosts:
        - lxc_containers
      roles:
         - lxc_create

## License

AGPL3.0-or-later

## Author Information

- Sven Velt <sven-ansiblerole@velt.biz>
- https://git.velt.biz/

